<?php
// $Id$

/**
 * CAPTCHA after settings form.
 */
function captcha_after_settings() {

  $form['captcha_after_thresholds'] = array(
    '#type' => 'fieldset',
    '#title' => t('Thresholds'),
    '#description' => 'If EITHER field below is set to 0, this module will be bypassed and the CAPTCHA will always display.',
    '#collapsible' => FALSE,
  );
  
 $form['captcha_after_thresholds']['captcha_after_submit_threshold'] = array(
    '#type' => 'textfield',
    '#title' => 'CAPTCHA after submit threshold',
    '#description' => t('Number of times user (based on Session ID) is permitted to submit wrong data into the form before starting to protect form with CAPTCHA. Enter 0 to disable this behaviour.'),
    '#default_value' => variable_get('captcha_after_submit_threshold', 3),
    '#required' => TRUE,
  );

 $form['captcha_after_thresholds']['captcha_after_flooding_threshold'] = array(
    '#type' => 'textfield',
    '#title' => 'CAPTCHA flooding threshold',
    '#description' => t('Number of times a visitor (based on hostname/IP) is allowed to submit a protected form in an hour before starting to protect form with CAPTCHA. This is useful for protecting against repeat (but valid) submissions. Enter 0 to disable this behaviour.'),
    '#default_value' => variable_get('captcha_after_flooding_threshold', 3),
    '#required' => TRUE,
  );

  return system_settings_form($form);
}

